Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.schemas.v1
Class SupportAndRepairDecisionType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.schemas.v1.SupportAndRepairDecisionType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-09-22T05:58:55+02:00",
               comments="JAXB RI v2.2.11")
    public class SupportAndRepairDecisionType

extends Object
implements Serializable

Generiek type voor het melden van de beslissing over het budget voor onderhoud en herstel.

Java class for SupportAndRepairDecisionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SupportAndRepairDecisionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SupportAndRepairID" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}SupportAndRepairIDType"/>
             <element name="SupportAndRepairCode" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType"/>
             <element name="Amount" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}AmountType" minOccurs="0"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}SupportAndRepairStatusType"/>
             <element name="Motivation" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}MotivationType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SupportAndRepairDecisionType()`

Method Summary
`BigDecimal` | `getAmount()` Gets the value of the amount property.
`String` | `getMotivation()` Gets the value of the motivation property.
`SupportAndRepairStatusType` | `getStatus()` Gets the value of the status property.
`String` | `getSupportAndRepairCode()` Gets the value of the supportAndRepairCode property.
`String` | `getSupportAndRepairID()` Gets the value of the supportAndRepairID property.
`void` | `setAmount(BigDecimal value)` Sets the value of the amount property.
`void` | `setMotivation(String value)` Sets the value of the motivation property.
`void` | `setStatus(SupportAndRepairStatusType value)` Sets the value of the status property.
`void` | `setSupportAndRepairCode(String value)` Sets the value of the supportAndRepairCode property.
`void` | `setSupportAndRepairID(String value)` Sets the value of the supportAndRepairID property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SupportAndRepairDecisionType

    public SupportAndRepairDecisionType()

Method Detail

### getSupportAndRepairID

    public String getSupportAndRepairID()

  Gets the value of the supportAndRepairID property.

  Returns:
    possible object is `String`

### setSupportAndRepairID

    public void setSupportAndRepairID(String value)

  Sets the value of the supportAndRepairID property.

  Parameters:
    `value` - allowed object is `String`

### getSupportAndRepairCode

    public String getSupportAndRepairCode()

  Gets the value of the supportAndRepairCode property.

  Returns:
    possible object is `String`

### setSupportAndRepairCode

    public void setSupportAndRepairCode(String value)

  Sets the value of the supportAndRepairCode property.

  Parameters:
    `value` - allowed object is `String`

### getAmount

    public BigDecimal getAmount()

  Gets the value of the amount property.

  Returns:
    possible object is `BigDecimal`

### setAmount

    public void setAmount(BigDecimal value)

  Sets the value of the amount property.

  Parameters:
    `value` - allowed object is `BigDecimal`

### getStatus

    public SupportAndRepairStatusType getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `SupportAndRepairStatusType`

### setStatus

    public void setStatus(SupportAndRepairStatusType value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `SupportAndRepairStatusType`

### getMotivation

    public String getMotivation()

  Gets the value of the motivation property.

  Returns:
    possible object is `String`

### setMotivation

    public void setMotivation(String value)

  Sets the value of the motivation property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.23.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.